<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html">DownchannelHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::DownchannelHandler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html">alexaClientSDK::acl::DownchannelHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html#a9aae8a6f2a1167a5f08fb6003a1de82a">create</a>(std::shared_ptr&lt; ExchangeHandlerContextInterface &gt; context, const std::string &amp;authToken, std::shared_ptr&lt; MessageConsumerInterface &gt; messageConsumer, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html">alexaClientSDK::acl::DownchannelHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a0bde5d7f73fc7ff8951f87b02c402b34">ExchangeHandler</a>(std::shared_ptr&lt; ExchangeHandlerContextInterface &gt; context, const std::string &amp;authToken)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a437cb6882b3c85dadc3b0ef09a4e2ba6">m_authHeader</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a662bd984238af0979c631424057aae0a">m_authToken</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#aad241aeacd02521c7ce92f803eab84e9">m_context</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a1ea9f18a33af81abc7f17df05ff03743">~ExchangeHandler</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html#ab11f9f7f8916b9ca8f5edc2c869ef2af">~HTTP2RequestSourceInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_source_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestSourceInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html#ac9d58de1c7006661e7f797f1a0b71f1b">~MimeResponseStatusHandlerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html">alexaClientSDK::acl::MimeResponseStatusHandlerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
